<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <button v-on:click="getData(1)">get user</button>
        <div> {{ users }}</div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script>
        new Vue({
            el:'#app',
            data : {
                users : []
            },
            methods:{
                getData: function(id){
                    var vm = this;
                    console.log(vm);
                     axios.get(`https://jsonplaceholder.typicode.com/users/${id}`)
                     .then(function(response){                        
                        vm.users = response.data;
                     })
                     .catch(function(error){
                        console.log(error );
                     });
                }
            }
        });
    </script>
    
</body>
</html>